
def a_to_z_counter(text):
    from collections import Counter
    import string
    
    # Count the occurrences of each letter in the text
    counter = Counter(text)
    
    # Filter out non-alphabet characters and sort the letters
    sorted_letters = sorted([char for char in counter if char.isalpha()])
    
    # Create a dictionary with the counts of each letter
    letter_counts = {letter: counter[letter] for letter in sorted_letters}
    
    return letter_counts

